%define upstream_name puppetlabs-rabbitmq


Name:           puppet-rabbitmq
Version:        8.0.0
Release:        2%{?dist}
Summary:        Installs, configures, and manages RabbitMQ.
License:        ASL 2.0

URL:            https://github.com/puppetlabs/puppetlabs-rabbitmq

Source0:        https://github.com/voxpupuli/puppet-rabbitmq/archive/v%{version}.tar.gz

Patch0001: 0001-blacksmith-Bump-version-to-8.0.1-rc0.patch
Patch0002: 0002-Add-options-for-ssl-verify-and-fail_if_no_peer_cert-.patch
Patch0003: 0003-Update-README-to-specify-voxpupuli-archive-dependenc.patch
Patch0004: 0004-modulesync-1.5.0.patch
Patch0005: 0005-skip-ci-Remove-EOL-operatingsystems.patch
Patch0006: 0006-regenerate-puppet-strings-docs.patch
Patch0007: 0007-add-ability-to-have-array-for-package_name-install-p.patch
Patch0008: 0008-Remove-archive-require-in-rabbitmqadmin-class-669.patch
Patch0009: 0009-Do-not-use-defaultfor-to-choose-the-only-existing-pr.patch

BuildArch:      noarch

Requires:       puppet-stdlib
Requires:       puppet-archive
Requires:       puppet >= 2.7.0

%description
Installs, configures, and manages RabbitMQ.

%prep
%setup -q -n %{name}-%{version}

%patch0001 -p1
%patch0002 -p1
%patch0003 -p1
%patch0004 -p1
%patch0005 -p1
%patch0006 -p1
%patch0007 -p1
%patch0008 -p1
%patch0009 -p1

find . -type f -name ".*" -exec rm {} +
find . -size 0 -exec rm {} +
find . \( -name "*.pl" -o -name "*.sh"  \) -exec chmod +x {} +
find . \( -name "*.pp" -o -name "*.py"  \) -exec chmod -x {} +
find . \( -name "*.rb" -o -name "*.erb" \) -exec chmod -x {} +
find . \( -name spec -o -name ext \) | xargs rm -rf

%build


%install
rm -rf %{buildroot}
install -d -m 0755 %{buildroot}/%{_datadir}/openstack-puppet/modules/rabbitmq/
cp -rp * %{buildroot}/%{_datadir}/openstack-puppet/modules/rabbitmq/



%files
%{_datadir}/openstack-puppet/modules/rabbitmq/


%changelog
* Mon Feb 26 2018 Jason Joyce <jjoyce@redhat.com> 8.0.0-2
- Removing Requires on staging and adding one for archive (rhbz#1548460)

* Thu Feb 15 2018 Thierry Vignaud <tvignaud@redhat.com> 8.0.0-1
- Do not use defaultfor to choose the only existing provider (#672)
- Remove `archive require` in rabbitmqadmin class (#669)
- add ability to have array for `package_name`, install plugins on SUSE (#656)
- Merge pull request #667 from bastelfreak/docs
- regenerate puppet-strings docs
- Merge pull request #666 from ekohl/update-metadata
- [skip-ci] Remove EOL operatingsystems
- Merge pull request #665 from voxpupuli/modulesync
- modulesync 1.5.0
- Merge pull request #660 from wyardley/fix_readme
- Update README to specify voxpupuli/archive dependency vs. staging
- Merge pull request #657 from paebersold/master
- Add options for ssl verify and 'fail_if_no_peer_cert' for the management ssl options
- [blacksmith] Bump version to 8.0.1-rc0
- Update to 8.0.0

* Tue Nov 21 2017 Jon Schlueter <jschluet@redhat.com> 5.6.0-5.70ac6c5git
- Pike update 5.6.0 (70ac6c59180a307786db28218d11348acc6d7a42)

* Thu Aug 24 2017 Alfredo Moralejo <amoralej@redhat.com> 5.6.0-4.5ac45degit
- Pike update 5.6.0 (5ac45dedd9b409c9efac654724bc74867cb9233b)

